Subject: Re: bug#21824: 25.0.50; overlay modification-hooks called with wrong buffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Nov 2015 20:07:57 +0200

> Date: Sat, 7 Nov 2015 11:22:50 -0500
> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked]
> 
> On Sat, Nov 7, 2015 at 3:28 AM, Eli Zaretskii <[email-masked]> wrote:
> >> global-highlight-parentheses-mode puts overlays in every buffer.
> >
> > Does it really mean to do that in *Messages*?  If not, perhaps we
> > should suggest to the developers of highlight-parentheses to exempt
> > *Messages* from that, as that buffer is pretty specialized anyway.  In
> > particular, due to the way the message logging in *Messages* is
> > implemented, the overlay modification hooks will only ever be called
> > in that buffer with AFTER non-nil, and even that will only happen when
> > Emacs decides to delete some text from *Messages*; inserting a new
> > message there will never call the overlay modification hooks.
> 
> Well, I suppose users may want parentheses highlighted in messages too.
> 
> But note that the overlays created by highlight-parentheses-mode do
> *not* have any modification-hooks. It's the triggering
> modification-hooks of (yasnippet's) overlays in another buffer in
> addition to the existence of (highlight-parentheses') overlays in
> *Messages* that triggers the bug.

Yes.  My point was that *Messages* is a special buffer, and all kinds
of stuff we take for granted behaves differently there.

> > Yes, this looks good to me.  How about creating a new file
> > buffer-tests.el (the offending code is in buffer.c)?
> 
> Okay, see attached.

Thanks, pushed.

Btw, the FSF copyright assignment lists a different email address for
you.  Which one is correct?